Loading...
Searching...
No Matches
stats_tcp.h File Reference

Go to the source code of this file.

## Data Structures

struct | osmo_tcp_stats_config

## Macros

#define | TCP_STATS_DEFAULT_INTERVAL 0 /* secs */
#define | TCP_STATS_DEFAULT_BATCH_SIZE 5 /* sockets per interval */

## Functions

int | osmo_stats_tcp_osmo_fd_register (const struct osmo_fd *fd, const char *name)
| Register an osmo_fd for TCP stats monitoring.
int | osmo_stats_tcp_osmo_fd_unregister (const struct osmo_fd *fd)
| Register an osmo_fd for TCP stats monitoring.
int | osmo_stats_tcp_set_interval (int interval)
| Set the polling interval (common for all sockets).

## Variables

struct osmo_tcp_stats_config * | osmo_tcp_stats_config

## Macro Definition Documentation

## TCP_STATS_DEFAULT_BATCH_SIZE

#define TCP_STATS_DEFAULT_BATCH_SIZE 5 /* sockets per interval */

Referenced by __attribute__().

## TCP_STATS_DEFAULT_INTERVAL

#define TCP_STATS_DEFAULT_INTERVAL 0 /* secs */

Referenced by __attribute__().